require_relative 'lib/twitter_embed/version'

Gem::Specification.new do |spec|
  spec.name          = "twitter_embed"
  spec.version       = TwitterEmbed::VERSION
  spec.authors       = ["Fernand"]
  spec.email         = ["wwwfernand@yahoo.com"]

  spec.summary       = %q{crawl Twitter's embed HTML}
  spec.description   = %q{retrieve }
  spec.homepage      = "https://github.com/wwwfernand/TwitterEmbed"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.1")

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
 	spec.files         += Dir['lib/*', 'vendor/**/*']
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
  
  spec.add_dependency "rails"
	#spec.add_dependency "sass"
	#spec.add_dependency "sass-rails"
end
